package com.heyu.api.data.service.impl.reverse;

import com.heyu.api.data.entity.vv.VvReverseOrderEntity;
import com.heyu.api.data.enums.ActionEnums;
import com.heyu.api.data.enums.ReverseStatusEnums;
import com.heyu.api.data.service.impl.AbstractReverseAction;

/***
 * 卖家同意取消
 */
public class SellerRejectRefundAction extends AbstractReverseAction {

    @Override
    public ActionEnums getAction(VvReverseOrderEntity vvReverseOrderEntity, boolean isApp, boolean isAdmin) {
        if (
                ReverseStatusEnums.buyer_apply_refund_wait_seller_agree.getStatus().equals(vvReverseOrderEntity.getStatus())
                        ||  ReverseStatusEnums.qa_check_finished.getStatus().equals(vvReverseOrderEntity.getStatus())
        ) {
            if (isAdmin) {
                return ActionEnums.Admin_Seller_Reject_Refund;
            }
        }
        return null;


    }
}
